Arch Espacio

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 17% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Roof.svg Roof
Next: Stairs Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Espacio

Ubicación en el Menú
Arch → Space
Entornos de trabajo
Arch
Atajo de teclado por defecto
S P
Introducido en versión
-
Ver también
None


Descripción

La herramienta Espacio le permite definir un volumen vacío, ya sea basado en una forma sólida, o definiendo sus límites, o una combinación de ambos. Si se basa únicamente en los límites, el volumen se calcula comenzando desde el cuadro delimitador de todos los límites dados, y restando los espacios detrás de cada límite. El objeto espacio siempre define un volumen sólido. El área del suelo de un objeto espacio, calculado mediante la intersección de un plano horizontal en el centro de masa del volumen del espacio, también se puede visualizar, configurando el modo de visualización del objeto espacial a "detallado".

Arch Space example.jpg

En la imagen de arriba, un objeto espacial se crea a partir de un objeto sólido existente, luego se agregan dos caras de muro como límites, y el modo de visualización se establece en "detallado" para mostrar el área del piso.

Utilización

  1. Seleccione un objeto sólido existente o caras en objetos de contorno
  2. Presione el botón Arch Space.png Arch Space, o presione las teclas S, P

Limitaciones

  • No disponible antes de la versión 0.14 de FreeCAD
  • Las propiedades de límites actualmente no se pueden editar a través de GUI
  • Ver el anuncio del foro

Propiedades

  • DATOSBase: El objeto base, si lo hay (debe ser un sólido)
  • DATOSBoundaries: Una lista de elementos de límite opcionales
  • VIEWText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • VIEWFontName: The name of the font
  • VIEWTextColor: The color of the text
  • VIEWFontSize: The size of the text
  • VIEWFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • VIEWLineSpacing: The space between the lines of text
  • VIEWTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • VIEWTextAlign: The justification of the text
  • VIEWDecimals: The number of decimals to use for calculated texts
  • VIEWShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use a Arch BuildingPart and set its IFC type to "Spatial Zone"
  • The space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space. introduced in version 0.19

Programación

La herramienta de espacio se puede usar en scripts de Python y macros/es usando la siguiente función:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Crea un objeto espacio a partir de los objetos dados.
  • Los objetos pueden ser un objeto de documento, en cuyo caso se convierte en la forma básica del objeto de espacio, o una lista de objetos de selección como se devuelve por FreeCADGui.Selection.getSelectionEx(), o una lista de tuplas (object, subobjectname).
  • Devuelve el objeto espacial recién creado.

Ejemplo:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Después de crear un objeto espacio, se pueden agregar caras seleccionadas con la siguiente función:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Los límites también se pueden eliminar con:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)